Page 1 of 1

I have a problem in the file: mysql.php

Posted: Sun Jul 13, 2008 4:37 pm
by fahad4x4
Good night

I have a problem in the file: /includes/db/mysql.php

If not edited files show topics as follows:

Code: Select all

ط¶ط¹ظٹظƒ ظ…ظ…ظٹط²ظ‡ ظˆطھظ… طھط«ط¨ظٹطھ ط§ظ„ظ…ظˆط¶ظˆط


If you remove the code amendment for the following:

Code: Select all

if (version_compare($this->mysql_version, '4.1.3', '>='))
				{
					@mysql_query("SET NAMES 'utf8'", $this->db_connect_id);
					// enforce strict mode on databases that support it
					if (version_compare($this->mysql_version, '5.0.2', '>='))
					{
						$result = @mysql_query('SELECT @@session.sql_mode AS sql_mode', $this->db_connect_id);
						$row = @mysql_fetch_assoc($result);
						@mysql_free_result($result);
						$modes = array_map('trim', explode(',', $row['sql_mode']));

						// TRADITIONAL includes STRICT_ALL_TABLES and STRICT_TRANS_TABLES
						if (!in_array('TRADITIONAL', $modes))
						{
							if (!in_array('STRICT_ALL_TABLES', $modes))
							{
								$modes[] = 'STRICT_ALL_TABLES';
							}

							if (!in_array('STRICT_TRANS_TABLES', $modes))
							{
								$modes[] = 'STRICT_TRANS_TABLES';
							}
						}

						$mode = implode(',', $modes);
						@mysql_query("SET SESSION sql_mode='{$mode}'", $this->db_connect_id);
					}
				}
				else if (version_compare($this->mysql_version, '4.0.0', '<'))
				{
					$this->sql_layer = 'mysql';
				}

Subjects are shown correctly but subject headings appear as follows:

Code: Select all

?? ?????? ????? ??? ???

Information Site:
phpBB phpBB3.0.2
PHP version 5.2.5
MySQL version 5.0.51a-community

Re: I have a problem in the file: mysql.php

Posted: Mon Jul 14, 2008 1:02 pm
by fahad4x4
Hi

My board's URL: http://www.alghathbar.com/BB2
MODs you have installed: phpBB3 fox
When the problem started:conversion phpbb2 to 3.0.2
Template(s) used: pro
Language(s) used: arabic

Re: I have a problem in the file: mysql.php

Posted: Mon Jul 14, 2008 2:38 pm
by stickerboy
Powered by phpBB-FOX the premodded version of phpBB
Sorry but we don't support pre-modded phpBB versions here.
You'll have to ask for support from phpBB-Fox.


Thanks :)
Kenny.